aboutsummaryrefslogtreecommitdiff
path: root/package/sunxi-mali/Config.in
blob: 95f91ab30d7f69ded1a1d36a90b92777475d263a (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
config BR2_PACKAGE_SUNXI_MALI
	bool "sunxi-mali"
	select BR2_PACKAGE_HAS_LIBEGL
	select BR2_PACKAGE_HAS_LIBGLES
	# The egl/gles mali libraries are provided as a git submodule of the
	# sunxi-mali repo and are downloaded by the sunxi-mali-prop package.
	select BR2_PACKAGE_SUNXI_MALI_PROP
	depends on BR2_TOOLCHAIN_USES_GLIBC
	depends on BR2_arm
	help
	  Install the ARM Mali drivers for sunxi based systems (i.e
	  systems based on ARM Allwinner SoCs). This driver requires
	  either the sunxi-kernel with the ARM Mali driver enabled or
	  the installation of the ARM Mali drivers as an external
	  module.

	  http://github.com/linux-sunxi/sunxi-mali

if BR2_PACKAGE_SUNXI_MALI

config BR2_PACKAGE_PROVIDES_LIBEGL
	default "sunxi-mali"

config BR2_PACKAGE_PROVIDES_LIBGLES
	default "sunxi-mali"

config BR2_PACKAGE_SUNXI_MALI_DBG
	bool "install malitest and maliver tools"
	help
	  Install 3D triangle demo malitest application and the maliver application
	  which describes the kernel module version.

choice
	prompt "Version"
	default BR2_PACKAGE_SUNXI_MALI_R3P0
	help
	  Select the version of the kernel module. For the sunxi-kernel, the
	  appropriate version number is r3p0. For other kernels, use the maliver
	  application to determine the appropriate version.

config BR2_PACKAGE_SUNXI_MALI_R2P4
	bool "r2p4"
	depends on BR2_ARM_EABI

comment "r2p4 requires an EABI toolchain"
	depends on !BR2_ARM_EABI

config BR2_PACKAGE_SUNXI_MALI_R3P0
	bool "r3p0"
	depends on BR2_ARM_EABIHF

comment "r3p0 requires an EABIhf toolchain"
	depends on !BR2_ARM_EABIHF

config BR2_PACKAGE_SUNXI_MALI_R3P1
	depends on BR2_ARM_EABIHF
	bool "r3p1"

comment "r3p1 requires an EABIhf toolchain"
	depends on !BR2_ARM_EABIHF

endchoice

endif

comment "sunxi-mali needs an (e)glibc toolchain"
	depends on BR2_arm
	depends on !BR2_TOOLCHAIN_USES_GLIBC